petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMGetWorkArray

Gets a work array guaranteed to be at least the input size, restore with DMRestoreWorkArray()

### Synopsis

    #include "petscdm.h"
    PetscErrorCode DMGetWorkArray(DM dm,PetscInt count,PetscDataType dtype,void *mem)

Not Collective

### Input Parameters

| dm | - the DM object
| count | - The minium size
| dtype | - data type (PETSC_REAL, PETSC_SCALAR, PETSC_INT)

### Output Parameter

array -the work array

### See Also

DMDestroy(), DMCreate()

Level:developer
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages